petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscFEGeomCreate

Create a PetscFEGeom object to manage geometry for a group of cells

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGeomCreate(PetscQuadrature quad, PetscInt numCells, PetscInt dimEmbed, PetscBool faceData, PetscFEGeom **geom)

### Input Parameters

| quad | - A PetscQuadrature determining the tabulation
| numCells | - The number of cells in the group
| dimEmbed | - The coordinate dimension
| faceData | - Flag to construct geometry data for the faces

### Output Parameter

geom -The PetscFEGeom object

### See Also

PetscFEGeomDestroy(), PetscFEGeomComplete()

### Level

beginner

### Location

src/dm/dt/fe/interface/fegeom.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages